PipeWire: pw_endpoint_link_info Struct Reference

PipeWire 1.4.2 |

Loading...
Searching...
No Matches
Data Fields
pw_endpoint_link_info Struct Reference
Extensions » Session Manager

`#include <pipewire/extensions/session-manager/introspect.h>`

## Data Fields
uint32_t | version
| version of this structure
uint32_t | id
| the link id (global)
uint32_t | session_id
| the session id (global)
uint32_t | output_endpoint_id
| the output endpoint id (global)
uint32_t | output_stream_id
| the output stream id (local or global)
uint32_t | input_endpoint_id
| the input endpoint id (global)
uint32_t | input_stream_id
| the input stream id (local or global)
uint64_t | change_mask
| bitfield of changed fields since last call
enum pw_endpoint_link_state | state
| the state of the link
char * | error
| error string if state == ERROR
struct spa_param_info * | params
| parameters
uint32_t | n_params
| number of items in params

## Field Documentation

## ◆ version

uint32_t pw_endpoint_link_info::version

version of this structure

## ◆ id

uint32_t pw_endpoint_link_info::id

the link id (global)

## ◆ session_id

uint32_t pw_endpoint_link_info::session_id

the session id (global)

## ◆ output_endpoint_id

uint32_t pw_endpoint_link_info::output_endpoint_id

the output endpoint id (global)

## ◆ output_stream_id

uint32_t pw_endpoint_link_info::output_stream_id

the output stream id (local or global)

## ◆ input_endpoint_id

uint32_t pw_endpoint_link_info::input_endpoint_id

the input endpoint id (global)

## ◆ input_stream_id

uint32_t pw_endpoint_link_info::input_stream_id

the input stream id (local or global)

## ◆ change_mask

uint64_t pw_endpoint_link_info::change_mask

bitfield of changed fields since last call

## ◆ state

enum pw_endpoint_link_state pw_endpoint_link_info::state

the state of the link

## ◆ error

char* pw_endpoint_link_info::error

error string if state == ERROR

## ◆ params

struct spa_param_info* pw_endpoint_link_info::params

parameters

## ◆ n_params

uint32_t pw_endpoint_link_info::n_params

number of items in params

The documentation for this struct was generated from the following file:

- pipewire/extensions/session-manager/introspect.h